WhatPulse Forums
“Cannot open shared object file” pops up when installing WhatPulse - Printable Version

+- WhatPulse Forums (http://whatpulse.org/forums)
+-- Forum: Support (/forumdisplay.php?fid=38)
+--- Forum: Client software (/forumdisplay.php?fid=58)
+--- Thread: “Cannot open shared object file” pops up when installing WhatPulse (/showthread.php?tid=7859)



“Cannot open shared object file” pops up when installing WhatPulse - Gaurav Mall - 04-22-2020 06:08 PM

So, I just installed Ubuntu yesterday, together with my main Windows just so I could use it for development. Because of all the keys, I would be typing I thought why not install Whatpulse to keep track of them? But turns out it is a tedious task. So, basically, I followed this guide: Whatpulse (installation guide Ubuntu 14.04), because there isn't anything that is newer.

NOTE: I do use the generic version from the installs.

So, basically this is what I did (after extracting the .gz file of course):

sudo ./setup-input-permissions.sh
sudo apt-get install libqtcore4
sudo apt-get install libqtscript4-core
sudo apt-get install libqt5sql5
sudo apt-get install libpcap-dev
sudo setcap cap_net_raw,cap_net_admin=eip ./whatpulse

And then I tried

./whatpulse

But it gave me this error:

./whatpulse: error while loading shared libraries: libQt5Sql.so.5: cannot open shared object file: No such file or directory

What does it mean? After a bit of searching I found that by reinstalling and doing this the problem might be resolved:

sudo strip --remove-section=.note.ABI-tag /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

But it still gives the same error. By the way, I didn't install the libqtwebkit4 library because it isn't listed at the official site.